# FetchAdditionalHSCodeDutyDetails

Fetch Additional HS Duty Details for items

`POST /api/v2/companies/{companyId}/items/{itemId}/hsdutydetails/$fetch-additional-hsdutydetails`

**API:** AvaTax API
**Tag:** Items
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Content-Type:** `application/json`
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/Items/FetchAdditionalHSCodeDutyDetails/

## Description

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPAdmin, CSPTester, ReturnsOnlyAccountAdmin, ReturnsOnlyAccountUser, ReturnsOnlyCompanyAdmin, ReturnsOnlyCompanyUser, SiteAdmin, SSTAdmin, SystemAdmin, TechnicalSupportAdmin, TechnicalSupportUser.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The ID of the company for which you want to get additional HS Duty Details. |
| `itemId` | integer | path | Yes | The unique ID of the item for which you want to get additional HS Duty Details. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Request Body

**Schema:** `ItemAdditionalHSCodeDutyInputModel[]`

Represents input model for additional HS Code Duty Details request.

| Property | Type | Required | Description |
|---|---|---|---|
| `itemId` | integer | **Yes** | The unique ID of the item. Example: `12345677890`. |
| `companyId` | integer | **Yes** | The unique ID of the company. Example: `9855676`. |
| `countryOfImport` | string | **Yes** | The country of import. Example: `IN`. |
| `countryOfExport` | string | **Yes** | The country of export. Example: `DE`. |
| `countryOfOrigin` | string | **Yes** | The country of origin. Example: `GB`. |
| `manufacturerName` | string | No | The manufacturer name. Example: `ABC Manufacturing`. |
| `hscode` | string | **Yes** | The country of import. Example: `9011900000`. |
| `isAdditionalDuty` | boolean | **Yes** | The country of import. Example: `false`. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 201 | Created |  |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

## Example Request

```bash
curl -X POST "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/items/{itemId}/hsdutydetails/$fetch-additional-hsdutydetails" \
  -H "Authorization: Basic <credentials>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '[
  {
    "itemId": 12345677890,
    "companyId": 9855676,
    "countryOfImport": "IN",
    "countryOfExport": "DE",
    "countryOfOrigin": "GB",
    "manufacturerName": "ABC Manufacturing",
    "hscode": "9011900000",
    "isAdditionalDuty": false
  }
]'
```